#ifndef __Window_H__
#define __Window_H__

#include <Window.h>
#include "View.h"

class Window : public BWindow
{
public: // Constructors

						Window( BRect rect, const char *name,
								window_type type, uint32 flags,
								uint32 workspaces = B_CURRENT_WORKSPACE );
											
						Window(	BRect rect, const char *name,
								window_look look, window_feel feel,
								uint32 flags, 
								uint32 workspaces = B_CURRENT_WORKSPACE );


	virtual void 		MessageReceived(BMessage *message);

	virtual bool 		QuitRequested( void );



private: // Data members

	IView *			main_view;
};

#endif




