#ifndef __BitmapDisplay_H__
#define __BitmapDisplay_H__

#include "BitmapWell.h"

class IBitmapDisplay : public BView
{
public:
							IBitmapDisplay( BRect frame, const char *name);			
							IBitmapDisplay( BMessage *archive );
	virtual					~IBitmapDisplay();


	virtual void			AttachedToWindow(void);
	virtual void 			Draw(BRect updateRect);

	virtual void 			MouseDown(BPoint point);

	void					SetBitmap(BBitmap * bitmap, icon_size which);
	void					GetBitmap(BBitmap ** bitmap, icon_size which);

protected:
	BBitmap				*	mLargeBitmap,
						*	mMiniBitmap;
	
};

#endif






