#ifndef __BitmapWell_H__
#define __BitmapWell_H__

#include <View.h>
#include <Mime.h>


class IBitmapWell : public BView
{
public: // Constructors
							IBitmapWell( BRect frame, const char * name, BMessage * message);			
	virtual					~IBitmapWell();

	void					SetBitmap(BBitmap * bitmap, icon_size which);
	status_t				GetBitmap(BBitmap ** bitmap, icon_size which);

	virtual void 			AttachedToWindow(void);
	virtual void 			Draw(BRect updateRect);
	virtual void 			MessageReceived(BMessage *message);


	virtual void 			MouseDown(BPoint point);
//	virtual void 			MouseMoved( 	BPoint point, uint32 transit, 
//											const BMessage *message);
//	virtual void 			MouseUp( BPoint point );

protected:
	friend class			IView;
	
	bool					HasStuff(void);
	
	BBitmap				*	mLargeBitmap,
						*	mMiniBitmap;
	BMessage			*	mMessage;
	bool					mHasStuff;

	
};

#endif









